# Class PostDancingMoveAbAttr

Triggers after a dance move is used either by the opponent or the player

#### Hierarchy (view full)

- PostMoveUsedAbAttr
  - PostDancingMoveAbAttr

- Defined in src/data/ability.ts:2783

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostMoveUsed
getCondition
getTarget
getTriggerMessage

## Constructors

### constructor

- new PostDancingMoveAbAttr(showAbility?): PostDancingMoveAbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns PostDancingMoveAbAttr

  Inherited from PostMoveUsedAbAttr.constructor

  - Defined in src/data/ability.ts:129

## Properties

### showAbility

showAbility: boolean

Inherited from PostMoveUsedAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostMoveUsedAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostMoveUsedAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostMoveUsed

- applyPostMoveUsed(dancer, move, source, targets, args): boolean | Promise<boolean>

- Resolves the Dancer ability by replicating the move used by the source of the dance either on the source itself or on the target of the dance

  #### Parameters

  - dancer: default

    `Pokemon` with Dancer ability

  - move: PokemonMove

    `PokemonMove` Dancing move used by the source

  - source: default

    `Pokemon` that used the dancing move

  - targets: BattlerIndex []

    `BattlerIndex`Targets of the dancing move

  - args: any[]

    N/A

  #### Returns boolean | Promise<boolean>

  true if the Dancer ability was resolved

  Overrides PostMoveUsedAbAttr.applyPostMoveUsed

  - Defined in src/data/ability.ts:2795

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostMoveUsedAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTarget

- getTarget(dancer, source, targets): BattlerIndex []

- Get the correct targets of Dancer ability

  #### Parameters

  - dancer: default

    `Pokemon` Pokemon with Dancer ability

  - source: default

    `Pokemon` Source of the dancing move

  - targets: BattlerIndex []

    `BattlerIndex` Targets of the dancing move

  #### Returns BattlerIndex []

  - Defined in src/data/ability.ts:2822

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostMoveUsedAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137